> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/ipfailover.md).

# ionoscloud\_ipfailover

Get Information on ipfailover objects.

The **IP Failover data source** can be used to search for and return an existing IP Failover object. You need to provide the datacenter\_id and the id of the lan to get the ip failover object for the provided datacenter. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned.

## Example Usage

```hcl
data "ionoscloud_ipfailover" "example" {
  datacenter_id   = "datacenter_id"
  lan_id              = "lan_id"
}
```

## Argument Reference

The following arguments are supported:

* `datacenter_id` - (Required) The ID of the datacenter containing the ip failover datasource
* `lan_id` - (Required) The id of the lan of which the IP failover belongs

## Attributes Reference

The following attributes are returned by the datasource:

* `datacenter_id` - The ID of a Data Center.
* `ip` - The reserved IP address to be used in the IP failover group.
* `lan_id` - The ID of a LAN.
* `nicuuid` - The ID of a NIC.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/ipfailover.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
